ServletRequestBindingException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.web.bind

## Class ServletRequestBindingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.servlet.ServletException
      - - org.springframework.web.util.NestedServletException
        - - org.springframework.web.bind.ServletRequestBindingException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    MissingServletRequestParameterException, UnsatisfiedServletRequestParameterException

      public class ServletRequestBindingException
      extends NestedServletException

  Fatal binding exception, thrown when we want to treat binding exceptions as unrecoverable.

  Extends ServletException for convenient throwing in any Servlet resource (such as a Filter), and NestedServletException for proper root cause handling (as the plain ServletException doesn't expose its root cause at all).

  Author:
    Rod Johnson, Juergen Hoeller
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletRequestBindingException(String msg)` Constructor for ServletRequestBindingException.
    `ServletRequestBindingException(String msg, Throwable cause)` Constructor for ServletRequestBindingException.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.web.util.NestedServletException

      `getMessage`

    - ### Methods inherited from class javax.servlet.ServletException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServletRequestBindingException

          public ServletRequestBindingException(String msg)

      Constructor for ServletRequestBindingException.
      Parameters:
        `msg` - the detail message

    - #### ServletRequestBindingException

          public ServletRequestBindingException(String msg,
                                        Throwable cause)

      Constructor for ServletRequestBindingException.
      Parameters:
        `msg` - the detail message
        `cause` - the root cause